# bitbucketAppCredentials

### Examples

```graphql
type BitbucketAppCredentials {
  appKey: String
  clientKey: String
  sharedSecret: String
  credentialsId: String
  credentialsName: String
  tokenExpirationDate: String
  credentialsType: CredentialsType
  isCertChecksDisabled: Boolean
  hostURL: String
  iv: String
  monitoredResources: JSON
  monitorAllResources: Boolean
  monitorAllNewlyCreatedResources: Float
  brokerUsername: String
  brokerPassword: String
  brokerEnabled: Boolean
  brokerHost: String
  brokerPort: Int
}
```

### Fields

| Field                                                                                                                 | Description                                             | Supported fields |
| --------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------- | ---------------- |
| appKey `String`                                                                                                       |                                                         |                  |
| clientKey `String`                                                                                                    |                                                         |                  |
| sharedSecret `String`                                                                                                 |                                                         |                  |
| credentialsId `String`                                                                                                |                                                         |                  |
| credentialsName `String`                                                                                              |                                                         |                  |
| tokenExpirationDate `String`                                                                                          |                                                         |                  |
| credentialsType [`CredentialsType`](/api-documentation/api-reference/api--connectors/types/enums/credentials-type.md) |                                                         |                  |
| isCertChecksDisabled `Boolean`                                                                                        | Indicates if SSL/TLS certificate validation is disabled |                  |
| hostURL `String`                                                                                                      |                                                         |                  |
| iv `String`                                                                                                           |                                                         |                  |
| monitoredResources `JSON`                                                                                             |                                                         |                  |
| monitorAllResources `Boolean`                                                                                         |                                                         |                  |
| monitorAllNewlyCreatedResources `Float`                                                                               |                                                         |                  |
| brokerUsername `String`                                                                                               |                                                         |                  |
| brokerPassword `String`                                                                                               |                                                         |                  |
| brokerEnabled `Boolean`                                                                                               |                                                         |                  |
| brokerHost `String`                                                                                                   |                                                         |                  |
| brokerPort `Int`                                                                                                      |                                                         |                  |

### References

#### Fields with this object:

* [{} Credential](/api-documentation/api-reference/api--connectors/types/unions/credential.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--connectors/types/objects/bitbucket-app-credentials.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
